For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Unlink a snapshot

POST
https://api.reasoner.com/api/mindsim/minds/:mindId/snapshots/:snapshotId/unlink
POST
/api/mindsim/minds/:mindId/snapshots/:snapshotId/unlink
$curl -X POST https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000/snapshots/123e4567-e89b-12d3-a456-426614174001/unlink \
> -H "Authorization: Bearer <token>"
1{
2 "message": "Snapshot unlinked successfully",
3 "snapshot": [
4 {
5 "id": "123e4567-e89b-12d3-a456-426614174002",
6 "digitalTwinId": "123e4567-e89b-12d3-a456-426614174000",
7 "mindAssessmentId": "123e4567-e89b-12d3-a456-426614174001",
8 "createdAt": "2024-01-01T00:00:00.000Z",
9 "updatedAt": "2024-01-01T00:00:00.000Z",
10 "deletedAt": null
11 }
12 ]
13}
Unlinks a digital twin from a mind assessment snapshot
Was this page helpful?
Previous

Get API Key Usage

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

mindIdstringRequired
snapshotIdstringRequired

Response

Snapshot unlinked successfully
messagestring
snapshotlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error